Loading...
Searching...
No Matches
pappso::masschroq::PeptideObservation::Observation Struct Reference

`#include <peptideobservation.h>`

## Public Attributes

std::size_t | m_scanNumber = 0
| The MS scan_number(mzxml) it has been observed in.
std::uint8_t | m_charge = 0
| The charge it has been observed in.
PrecursorSp | msp_precursor = nullptr
bool | m_isSpectrumIndex = true
PeptideLabel * | p_label = nullptr

## Detailed Description

Definition at line 69 of file peptideobservation.h.

## Member Data Documentation

## m_charge

std::uint8_t pappso::masschroq::PeptideObservation::Observation::m_charge = 0

The charge it has been observed in.

Definition at line 74 of file peptideobservation.h.

## m_isSpectrumIndex

bool pappso::masschroq::PeptideObservation::Observation::m_isSpectrumIndex = true

Definition at line 78 of file peptideobservation.h.

## m_scanNumber

std::size_t pappso::masschroq::PeptideObservation::Observation::m_scanNumber = 0

The MS scan_number(mzxml) it has been observed in.

Definition at line 72 of file peptideobservation.h.

## msp_precursor

PrecursorSp pappso::masschroq::PeptideObservation::Observation::msp_precursor = nullptr

Definition at line 76 of file peptideobservation.h.

## p_label

PeptideLabel* pappso::masschroq::PeptideObservation::Observation::p_label = nullptr

Definition at line 80 of file peptideobservation.h.

The documentation for this struct was generated from the following file:

- pappsomspp/core/masschroq/peptideobservation.h